Bug 5044 - Karaoke Game
: Karaoke Game
Status: RESOLVED FIXED
Product: Desktop Features
Classification: ROSA Desktop
Component: All
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-11 00:17 MSK by Shalok Shalom
Modified: 2016-03-11 15:43 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
Fixed Makefile (13.55 KB, application/octet-stream)
2016-03-11 15:43 MSK, Denis Silakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shalok Shalom 2015-02-11 00:17:31 MSK
One more open Source Music Game: It reach the Final Version already some Years before and the Community is still active: Alone 80 000 Song Downloads this Week on Sourceforge: http://sourceforge.net/projects/ultrastardx/files/

Homepage: http://ultrastardx.sourceforge.net/

Source Code: http://sourceforge.net/projects/ultrastardx/files/UltraStar%20Deluxe/Version%201.1%20final/Sources/ultrastardx-1.1-src.tar.gz/download
Comment 1 Shalok Shalom 2015-04-08 19:56:57 MSD
Performous offer more features: http://performous.org/

http://performous.org/download
Comment 2 Denis Silakov 2016-03-11 13:06:00 MSK
We already have performous in our repos. As for ultrastardx, it seems to be a little tricky to build it in a modern system. And once there are no more requests for it, we are not going to build it in the near future.
Comment 3 Shalok Shalom 2016-03-11 15:07:27 MSK
Why is it tricky, to implement it into a modern system, please ?

Which dependency ? I will report the issue to the devs there, even when the project is maybe unmaintained currently..
Comment 4 Denis Silakov 2016-03-11 15:19:49 MSK
Well, actually I have faced two different issues.

First, "./configure" from ultrastardx produces slightly strange Makefile for me. It looks like Makefile targeted to OSX and "make" fails with

  Makefile:426: *** recipe commences before first target.  Stop.


After I clean out OSX garbage from Makefile it starts to build but fails with the following error:

===
/tmp/ultrastardx-1.1-src/src/lib/ffmpeg/avutil.pas(115,4) Error: User defined: Linked version of libavutil is not yet supported!
/tmp/ultrastardx-1.1-src/src/lib/ffmpeg/avutil.pas(490,1) Fatal: There were 1 errors compiling module, stopping
Fatal: Compilation aborted
===

It looks like it doesn't like modern ffmpeg libraries. These libs do change quite often.
Comment 5 Shalok Shalom 2016-03-11 15:38:13 MSK
Ah, fine. Where can i reach the repaired makefile, please ?

So far as i know RPM, is it not possible, to use an older ffmpeg, correct ?
Comment 6 Shalok Shalom 2016-03-11 15:40:07 MSK
Anyway: I see know, that Performous is that one, which is higher evolved, i missed to read this (old) report from the beginning, thanks a lot, solved.
Comment 7 Denis Silakov 2016-03-11 15:43:15 MSK
Created attachment 4414 [details]
Fixed Makefile

Here is the Makefile I use (though likely one should fix Makefile.in used to generate this one).

As for ffmpeg, we just don't keep old versions in our repos and rebuild all ffpeg-dependent pacakges hen update ffmpeg. Though there is a possibility to ship a bundled ffmpeg with the package, but this requires some efforts.
Comment 8 Denis Silakov 2016-03-11 15:43:37 MSK
Ok, let's close as "resolved" in favour of performous:)